-------------------------------------------------------------------------------
-- Dark Soil by Lockslap, US-Bleeding Hollow
-- <Borderline Amazing>, http://ba-guild.com
-------------------------------------------------------------------------------

-- npc friends list, filled at addon start
DarkSoil.list = {}

-- coordinate information is from http://wowhead.com/object=210565
DarkSoil.coordinates = {
	-- the jade forest
	[806] = {
		{x = 52.0, y = 56.7},
		{x = 52.8, y = 56.8},
		{x = 52.9, y = 58.7},
		{x = 53.9, y = 60.2},
		{x = 53.9, y = 59.2},
		{x = 58.2, y = 31.7},
		{x = 62.2, y = 24.2},
		{x = 63.5, y = 24.1},
		{x = 64.3, y = 22.7},
		{x = 64.1, y = 27.5},
		{x = 64.8, y = 28.8},
		{x = 65.6, y = 30.4},
		{x = 64.8, y = 28.8},
		{x = 64.5, y = 30.2},
		{x = 64.0, y = 29.9},
		{x = 63.8, y = 31.2},
		{x = 63.6, y = 32.6},
		{x = 65.0, y = 33.8},
		{x = 65.3, y = 32.5},
		{x = 65.6, y = 31.0},
	},

	-- valley of the four winds
	[807] = {
		{x = 31.2, y = 53.6},
		{x = 32.0, y = 52.5},
		{x = 32.0, y = 59.1},
		{x = 32.4, y = 57.2},
		{x = 32.9, y = 49.1},
		{x = 32.9, y = 49.8},
		{x = 32.9, y = 53.0},
		{x = 33.1, y = 58.1},
		{x = 33.3, y = 48.4},
		{x = 33.8, y = 42.1},
		{x = 33.9, y = 43.7},
		{x = 33.9, y = 56.5},
		{x = 34.0, y = 49.3},
		{x = 34.1, y = 50.6},
		{x = 34.6, y = 42.1},
		{x = 34.7, y = 44.6},
		{x = 34.9, y = 49.4},
		{x = 34.9, y = 50.2},
		{x = 34.9, y = 51.0},
		{x = 34.9, y = 52.7},
		{x = 35.0, y = 35.2},
		{x = 35.6, y = 48.9},
		{x = 35.8, y = 40.0},
		{x = 36.1, y = 51.6},
		{x = 36.3, y = 49.6},
		{x = 36.5, y = 52.8},
		{x = 36.8, y = 50.9},
		{x = 37.2, y = 48.9},
		{x = 37.5, y = 50.2},
		{x = 37.8, y = 46.1},
		{x = 38.1, y = 44.1},
		{x = 38.3, y = 50.5},
		{x = 38.6, y = 18.3},
		{x = 38.7, y = 45.1},
		{x = 39.0, y = 41.7},
		{x = 39.1, y = 41.0},
		{x = 39.2, y = 20.7},
		{x = 39.5, y = 42.3},
		{x = 39.7, y = 43.3},
		{x = 39.9, y = 51.1},
		{x = 40.0, y = 47.7},
		{x = 40.0, y = 51.8},
		{x = 40.2, y = 39.9},
		{x = 40.4, y = 41.4},
		{x = 40.5, y = 43.7},
		{x = 40.5, y = 51.6},
		{x = 40.6, y = 48.6},
		{x = 40.8, y = 38.5},
		{x = 40.9, y = 35.4},
		{x = 40.9, y = 36.7},
		{x = 40.9, y = 47.3},
		{x = 41.5, y = 45.8},
		{x = 41.6, y = 33.2},
		{x = 41.6, y = 38.5},
		{x = 41.8, y = 34.7},
		{x = 41.9, y = 47.1},
		{x = 42.0, y = 31.2},
		{x = 42.1, y = 48.6},
		{x = 42.2, y = 53.1},
		{x = 42.4, y = 52.4},
		{x = 42.6, y = 50.2},
		{x = 43.0, y = 35.9},
		{x = 43.0, y = 53.8},
		{x = 43.1, y = 43.7},
		{x = 43.3, y = 49.4},
		{x = 43.4, y = 53.0},
		{x = 43.5, y = 52.4},
		{x = 43.6, y = 39.5},
		{x = 43.8, y = 48.6},
		{x = 43.9, y = 36.9},
		{x = 43.9, y = 50.6},
		{x = 44.0, y = 20.2},
		{x = 44.2, y = 42.4},
		{x = 44.3, y = 45.5},
		{x = 44.4, y = 32.6},
		{x = 44.4, y = 53.8},
		{x = 44.5, y = 22.8},
		{x = 44.5, y = 32.6},
		{x = 44.5, y = 40.8},
		{x = 44.6, y = 33.5},
		{x = 44.6, y = 43.6},
		{x = 44.7, y = 37.7},
		{x = 44.7, y = 53.4},
		{x = 44.8, y = 35.6},
		{x = 44.8, y = 36.8},
		{x = 45.1, y = 19.1},
		{x = 45.4, y = 31.3},
		{x = 45.4, y = 46.0},
		{x = 45.4, y = 53.8},
		{x = 45.5, y = 46.1},
		{x = 45.6, y = 53.0},
		{x = 46.0, y = 35.4},
		{x = 46.0, y = 53.9},
		{x = 46.4, y = 36.3},
		{x = 46.4, y = 37.7},
		{x = 46.5, y = 52.8},
		{x = 46.7, y = 33.9},
		{x = 46.8, y = 33.1},
		{x = 46.9, y = 41.7},
		{x = 47.0, y = 37.2},
		{x = 47.2, y = 51.2},
		{x = 47.3, y = 21.2},
		{x = 47.4, y = 32.0},
		{x = 47.6, y = 38.0},
		{x = 47.7, y = 19.1},
		{x = 47.7, y = 34.8},
		{x = 47.9, y = 37.1},
		{x = 48.0, y = 36.0},
		{x = 48.0, y = 48.9},
		{x = 48.3, y = 38.9},
		{x = 48.4, y = 29.1},
		{x = 48.7, y = 29.1},
		{x = 48.9, y = 18.8},
		{x = 49.0, y = 33.1},
		{x = 49.3, y = 28.0},
		{x = 50.3, y = 28.2},
		{x = 50.3, y = 31.6},
		{x = 50.5, y = 33.9},
		{x = 51.1, y = 28.3},
		{x = 51.1, y = 29.9},
		{x = 51.1, y = 30.7},
		{x = 51.3, y = 28.9},
		{x = 52.8, y = 48.1},
	},
	
	-- kun-lai summit
	[809] = {
		{x = 66.8, y = 44.0},
		{x = 67.7, y = 46.2},
		{x = 67.3, y = 47.2},
		{x = 67.8, y = 48.1},
		{x = 68.9, y = 48.6},
		{x = 69.6, y = 48.0},
		{x = 70.2, y = 46.6},
		{x = 69.8, y = 46.1},
		{x = 71.3, y = 46.2},
		{x = 71.7, y = 46.9},
		{x = 66.2, y = 51.1},
		{x = 66.9, y = 50.1},
		{x = 67.8, y = 51.6},
		{x = 69.1, y = 52.1},
		{x = 70.0, y = 51.5},
		{x = 70.8, y = 52.5},
		{x = 69.1, y = 53.8},
		{x = 67.1, y = 55.6},
		{x = 68.0, y = 55.9},
		{x = 68.8, y = 56.1},
	},
	
	-- townlong steppes
	[810] = {
		{x = 19.7, y = 57.4},
		{x = 20.5, y = 14.3},
		{x = 20.7, y = 40.8},
		{x = 40.4, y = 45.4},
	},
	
	-- vale of eternal blossoms
	[811] = {
		{x = 36.0, y = 18.0},
		{x = 34.0, y = 22.0},
		{x = 25.0, y = 31.0},
		{x = 21.0, y = 31.0},
		{x = 18.0, y = 28.0},
		{x = 20.0, y = 42.0},
		{x = 8.0, y = 39.0},
		{x = 15.0, y = 65.0},
		{x = 25.0, y = 70.0},
		{x = 30.0, y = 65.0},
		{x = 35.0, y = 78.0},
		{x = 39.0, y = 78.0},
		{x = 47.0, y = 72.0},
		{x = 52.0, y = 69.0},
		{x = 31.0, y = 40.0},
		{x = 15.0, y = 27.0},
	},
	
	-- krasarang wilds
	[857] = {
		{x = 29.2, y = 75.4},
		{x = 31.9, y = 73.7},
		{x = 32.4, y = 64.4},
		{x = 33.3, y = 79.1},
		{x = 34.1, y = 66.9},
		{x = 34.2, y = 64.5},
		{x = 35.7, y = 66.9},
		{x = 36.0, y = 71.5},
		{x = 36.2, y = 82.9},
		{x = 37.0, y = 79.0},
		{x = 75.3, y = 78.9},
	},
	
	-- dread wastes
	[858] = {
		{x = 22.3, y = 76.4},
		{x = 22.4, y = 78.4},
		{x = 23.6, y = 81.4},
		{x = 25.3, y = 79.7},
		{x = 25.5, y = 79.0},
		{x = 27.5, y = 70.7},
		{x = 28.3, y = 75.1},
		{x = 28.6, y = 90.7},
		{x = 30.0, y = 54.0},
		{x = 31.3, y = 59.9},
		{x = 31.7, y = 70.9},
		{x = 32.6, y = 75.7},
		{x = 33.9, y = 77.0},
		{x = 37.0, y = 57.1},
		{x = 58.5, y = 57.3},
		{x = 70.8, y = 27.9},
		{x = 72.8, y = 38.2},
	},
}